const host = "prod";

const test = {
  API_HOST: "http://192.168.1.14:8090",
  WS_HOST: "ws://192.168.1.14:8090/websocket/",
};

const prod = {
  API_HOST: window.location.protocol + "//" + window.location.host,
  WS_HOST: "ws://" + window.location.host + "/websocket/",
};

const frp = {
  API_HOST: "http://frps.dxpark.cn:3002",
  WS_HOST: "ws://frps.dxpark.cn:3002/websocket/",
};

const config = {
  prod,
  test,
  frp,
};

let API_HOST = config[host].API_HOST;
let WS_HOST = config[host].WS_HOST;

export default {
  API_HOST,
  WS_HOST,
};
